<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Description>NetworkResurrector.Agent.Wrapper is a NuGet package that simplifies the integration of the agent within a .NET environment. It registers a service, IResurrectorAgentService, in the application’s service collection, providing methods for each supported action.</Description>
    <PackageProjectUrl>https://lab.code-rove.com/gitea/tudor.stanciu/network-resurrector</PackageProjectUrl>
    <RepositoryType>Git</RepositoryType>
    <RepositoryUrl>https://lab.code-rove.com/gitea/tudor.stanciu/network-resurrector</RepositoryUrl>
    <PackageReleaseNotes>$([System.IO.File]::ReadAllText("$(MSBuildProjectDirectory)/ReleaseNotes.txt"))</PackageReleaseNotes>
    <Version>1.2.0</Version>
    <PackageIcon>logo.png</PackageIcon>
    <PackageReadmeFile>README.md</PackageReadmeFile>
    <Company>Toodle HomeLab</Company>
    <Copyright>Toodle NetworkResurrector</Copyright>
    <PackageTags>NetworkResurrector HomeLab CodeRove</PackageTags>
    <PackageLicenseExpression>MIT</PackageLicenseExpression>
  </PropertyGroup>

  <ItemGroup>
	<FrameworkReference Include="Microsoft.AspNetCore.App" />
	<PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="8.0.2" />
	<PackageReference Include="Microsoft.Extensions.Http" Version="8.0.1" />
	<PackageReference Include="Microsoft.Net.Http.Headers" Version="8.0.14" />
	<PackageReference Include="Netmash.Extensions.Http" Version="1.1.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\NetworkResurrector.Agent.PublishedLanguage\NetworkResurrector.Agent.PublishedLanguage.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="README.md">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
    <None Update="logo.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

</Project>
